com.qihoo.livecloud.sdk

## Class DebugUtils

- java.lang.Object
- - com.qihoo.livecloud.sdk.DebugUtils

-     public class DebugUtils
      extends java.lang.Object

  日志管理
  Created by guohailiang on 2017/5/19.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DebugUtils()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getKeyLogLevel()` 获取关键日志级别
    `int` | `getPlayerLogLevel()` 获取播放器日志级别
    `int` | `getTransportLogLevel()` 获取传输层日志级别
    `boolean` | `isWriteLogs()` 是否打开日志
    `DebugUtils` | `setKeyLogLevel(int keyLogLevel)` 设置关键日志级别，关键日志会写到文件里
    `DebugUtils` | `setNetLogLevel(int logLevel)` 设置Net日志级别
    `DebugUtils` | `setPlayerLogLevel(int playerLogLevel)` 设置播放器日志级别
    `DebugUtils` | `setTransportLogLevel(int transportLogLevel)` 设置传输层日志级别
    `DebugUtils` | `setWriteLogs(boolean writeLogs)` 是否打开日志
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DebugUtils

          public DebugUtils()

  - ### Method Detail

    - #### isWriteLogs

          public boolean isWriteLogs()

      是否打开日志
      Returns:
        true 打开日志；false 关闭日志

    - #### setWriteLogs

          public DebugUtils setWriteLogs(boolean writeLogs)

      是否打开日志
      Parameters:
        `writeLogs` - true 打开日志；false 关闭日志

    - #### getTransportLogLevel

          public int getTransportLogLevel()

      获取传输层日志级别
      Returns:
        传输层日志级别，参见`Constants.ELogLevel#LOG_LEVEL_DEBUG`等

    - #### setTransportLogLevel

          public DebugUtils setTransportLogLevel(int transportLogLevel)

      设置传输层日志级别
      Parameters:
        `transportLogLevel` - 传输层日志级别，参见`Constants.ELogLevel#LOG_LEVEL_DEBUG`等

    - #### setNetLogLevel

          public DebugUtils setNetLogLevel(int logLevel)

      设置Net日志级别
      Parameters:
        `logLevel` - 日志级别，参见`Constants.ELogLevel#LOG_LEVEL_DEBUG`等

    - #### getPlayerLogLevel

          public int getPlayerLogLevel()

      获取播放器日志级别
      Returns:
        播放器日志级别，参见`Constants.ELogLevel#LOG_LEVEL_DEBUG`等

    - #### setPlayerLogLevel

          public DebugUtils setPlayerLogLevel(int playerLogLevel)

      设置播放器日志级别
      Parameters:
        `playerLogLevel` - 播放器日志级别，参见`Constants.ELogLevel#LOG_LEVEL_DEBUG`等

    - #### getKeyLogLevel

          public int getKeyLogLevel()

      获取关键日志级别
      Returns:
        关键日志级别，参见`Constants.ELogLevel#LOG_LEVEL_DEBUG`等

    - #### setKeyLogLevel

          public DebugUtils setKeyLogLevel(int keyLogLevel)

      设置关键日志级别，关键日志会写到文件里
      Parameters:
        `keyLogLevel` - 关键日志级别，参见`Constants.ELogLevel#LOG_LEVEL_DEBUG`等

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`